### Hierarchy

- Controller

## Index

### Properties

- dates
- isModeRange
- maxValue
- minValue
- ngeoDebounce_
- ngeoWMSTime_
- onDateSelected
- sliderOptions
- time
- timeValueList

### Methods

- getLocalizedDate
- getTimeValueList_
- init

## Properties

### dates

dates: number | number[]

- Defined in src/layertree/timeSliderComponent.js:222

Model for the ui-slider directive (date in ms format)

### isModeRange

isModeRange: boolean

- Defined in src/layertree/timeSliderComponent.js:183

If the component is used to select a date range

### maxValue

maxValue: number

- Defined in src/layertree/timeSliderComponent.js:197

Maximal value of the slider (time in ms)

### minValue

minValue: number

- Defined in src/layertree/timeSliderComponent.js:190

Minimal value of the slider (time in ms)

### ngeoDebounce_

ngeoDebounce_: miscDebounce<() => void>

- Defined in src/layertree/timeSliderComponent.js:162

### ngeoWMSTime_

ngeoWMSTime_: WMSTime

- Defined in src/layertree/timeSliderComponent.js:157

### onDateSelected

onDateSelected: (arg0: unknown) => unknown

- Defined in src/layertree/timeSliderComponent.js:169

#### Type declaration

- - (arg0: unknown): unknown

  - Function called after date(s) changed/selected

    #### Parameters

    - ##### arg0: unknown

    #### Returns unknown

### sliderOptions

sliderOptions: { max: number; min: number; range: boolean }

- Defined in src/layertree/timeSliderComponent.js:215

Default Slider options (used by ui-slider directive)

#### Type declaration

- ##### max: number

- ##### min: number

- ##### range: boolean

### time

time: TimeProperty

- Defined in src/layertree/timeSliderComponent.js:176

A time object for directive initialization

### timeValueList

timeValueList: number[]

- Defined in src/layertree/timeSliderComponent.js:204

Used when WMS time object has a property 'values' instead of an interval

## Methods

### getLocalizedDate

- getLocalizedDate(time: number): string

- - Defined in src/layertree/timeSliderComponent.js:400

  Format and localize time regarding a resolution.

  #### Parameters

  - ##### time: number

    (in ms format) timestamp to format and localize.

  #### Returns string

  Localized date string regarding the resolution.

### getTimeValueList_

- getTimeValueList_(): number[]

- - Defined in src/layertree/timeSliderComponent.js:267

  TimeSliderController.prototype.getTimeValueList_ - Get a list of time value instead of using the wmstime interval as a list of possibles values

  #### Returns number[]

  - List of timestamp representing possible values

### init

- init(): void

- - Defined in src/layertree/timeSliderComponent.js:228

  Initialise the controller.

  #### Returns void

Generated using TypeDoc